Subject: bug#27491: closed (Re: bug#27491: Indentation issue in emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Jun 2017 06:15:02 +0000

Your bug report

#27491: Indentation issue in emacs

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27491: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27491
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27491: Indentation issue in emacs
From: Arun Isaac <[email-masked]>
To: Alex Kost <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Jun 2017 11:44:30 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Ok, fixed! :-)

https://git.savannah.gnu.org/cgit/guix.git/commit/?id=2482c02f3b23b2490a6647e0717cf8a4ccf3f6a8

However, I think this is a hack, and the better solution would be to
actually fix the underlying indentation issue. But, I am too lazy to
find out how. :-P

Subject: Indentation issue in emacs
From: Arun Isaac <[email-masked]>
To: [email-masked]
Date: Mon, 26 Jun 2017 02:35:52 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm not entirely sure this is the right place to report this
bug. If I should report this bug elsewhere, please direct me.

When I indent the `emacs-which-key' package definition in
gnu/packages/emacs.scm using `indent-region', the description gets
indented wrongly. The "(or as many as space allows given your settings)"
part of the description string gets indented as though it were an
S-expression.